:mod:`cjklib.test.readingconverter` --- Unit tests for reading.converter
========================================================================


.. automodule:: cjklib.test.readingconverter


Classes
--------

.. autoclass:: BrailleGRConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: BraillePinyinConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: BraillePinyinReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: BrailleWadeGilesConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CantoneseYaleDialectConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CantoneseYaleDialectReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GRBrailleConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GRDialectConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GRDialectReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GRIPAConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GRPinyinConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GRPinyinReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: GRWadeGilesConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: JyutpingDialectConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: JyutpingYaleConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: JyutpingYaleReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: MandarinBrailleIPAConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinBrailleConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinBrailleReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinDialectConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinDialectReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinGRConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinICUTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinIPAConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinIPAReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinWadeGilesConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: PinyinWadeGilesReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: ReadingConverterConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: ReadingConverterReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: ReadingConverterTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: ReadingConverterTestCaseCheck
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WadeGilesBrailleConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WadeGilesDialectConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WadeGilesDialectReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WadeGilesGRConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WadeGilesIPAConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WadeGilesIPAReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WadeGilesPinyinConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WadeGilesPinyinReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: YaleJyutpingConsistencyTest
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: YaleJyutpingReferenceTest
   :show-inheritance:
   :members:
   :undoc-members:
   



